/** Task 1
 *
 * Написать функцию-сумматор.
 * Функция обладает двумя числовыми параметрами, и возвращает результат их сложения.
 *
 * Вывести в консоль результат сложения 2 и 4, 5 и 7.
 * Вывести на экран результат сложения 5 и 6;
 */
// Напишите функцию min(a,b), которая возвращает меньшее из чисел a и b
// function sum(a, b) {
//     return a + b;
// }
// console.log(sum(2, 4));
// console.log(sum(5, 4));
// alert(sum(5, 6));

// function min(a, b) {
//let minNumber = Math.min(a, b);
//return minNumber или 
// return Math.min(a, b) или 
//     if (a > b) {
//         return b;
//     } else {
//         return a;
//     }
// }
// console.log(min(3, 5));

/** Task 2
 * Написать функцию-счётчик count.
 *
 * Функцию обладает будет двумя параметрами:
 * - Первый — число, с которого необходимо начать счёт;
 * - Второй — число, которым необходимо закончить счёт.
 *
 * Если число, с которого начинается счёт больше, чем число,
 * которым он заканчивается, вывести сообщение:
 * «⛔️ Ошибка! Счёт невозможен.»
 *
 * Если оба этих числа одинаковые, вывести сообщение:
 * «⛔️ Ошибка! Нечего считать.»
 *
 * В начале счёта необходимо вывести сообщение:
 * «🏁 Отсчёт начат.».
 *
 * Каждый «шаг» счёта необходимо выводить в консоль.
 * После прохождения последнего «шага» необходимо вывести сообщение:
 * «✅ Отсчёт завершен.».
 *
 */

// function count(startNumber, endNumber) {
//     if (startNumber > endNumber) {
//         console.log("Ошибка, счет не возможен");
//         return;
//     } else if (startNumber === endNumber) {
//         console.log("Ошибка, Нечего считать");
//         return;
//     }
//     console.log("Отсчет начат.");
//     for (let i = startNumber; i <= endNumber; i++) {
//         console.log(i);
//     }
//     console.log("Отсчет завершен");
// }

// count(10, 10);

// Task 3
// Получить от пользователя 2 числа. Спрашивать его
// число заново до тех пор, пока он не введет валидное число.
// Проверку на валидность - оформить в функцию, которой мы передаем значание, а
// функция проверяет значение на null, на пустую строку, на NaN и возвращает true
// если число валидное, иначе false;
// Если 2 числа валидные, вывести в консоль и на экран - результат их сложения


//console.log(!NaN);


// let userFirstNumber = prompt('Введите первое число:');

// while (!isValidNumber(userFirstNumber)) {
//     userFirstNumber = prompt('Еще раз введите первое число');
// }

// let userSecondNumber = prompt('Введите второе число:');

// while (!isValidNumber(userSecondNumber)) {
//     userFirstNumber = prompt('Еще раз введите второе число');
// }

// console.log(sum(Number(userFirstNumber), Number(userSecondNumber)))
// function sum(a, b) {
//     return a + b;
// }
// function isValidNumber(value) {
//     if (value === '' || value === null || Number.isNaN(+value)) {
//         return false;
//     }
//     return true;
// }

// while (isValidNumber()

// Task 4
// Написать функцию, получающую на вход два числа.
// Если оба числа чётные - функция возвращает их произведение.
// Если оба числа нечётные - функция возвращает их сумму.
// Если одно из чисел чётное, а второе нечётное - функция возвращает это нечётное число.
// Оба числа проверить на корректность.


// Task 5
// Написать программу для расчета индекса массы тела.
// Спросить у пользователя его имя, его рост в метрах (1.83 например) и его вес.
// Проверить на то, что это числа, спрашивать до тех пор пока не введет корректно.
// Высчитав ИМТ, сгенерировать совет. (https://ru.wikipedia.org/wiki/%D0%98%D0%BD%D0%B4%D0%B5%D0%BA%D1%81_%D0%BC%D0%B0%D1%81%D1%81%D1%8B_%D1%82%D0%B5%D0%BB%D0%B0)
// 16 и менее - 'У вас выраженный дефицит массы тела. Пожалуйста, обратитесь к специалистам'
// 16—18,5 - 'Недостаточная масса тела. Советуем обратить внимание на питание'
// 18,5—25 - 'У вас нормальный ИМТ. Так держать'
// 25—30 - 'У вас избыточная масса тела. Советуем обратить внимание на питание'
// Больше 30 - 'У вас ожирение. Пожалуйста, обратитесь к специалистам'
// Если получено значение, что не лежит в диапазоне от 12 и до 50 - 'Какие-то данные некорректные, проверьре введеные данные'
// Вывести в модальном окне - "Ваш ИМТ ${полученное значение} ${совет}"

function isValidNumber() {

}
function getBMIIndex(height, width) {
//return  значения из формулы
}
function calculateBMI() {
//спрашиваем рост и массу в числах
//вызываем функцию индекс const BMIIndex = GetBMIIndex (рост и вес)
//получаем совет и const advise = getAdvise
// alert('Ваш ИМТ ${BMIIndex} ${advise}')
}

function getAdvice(BMIIndex) {
    //return advice
}





//Task 6
// Спросить у пользователя его имя.
// Написать функцию, которая выводит в консоль количество букв в имени пользователя. 
// Обработать кейс, когда в начале слова могут быть введены пробелы, нужно вычислить длинну
// без их учета. 
// Если введены только цифры (полученное имя - это число), 
// то вывести в консоль - Ошибка, введите имя. 
